Bug 470712 - (sevenseas) USB mouse quits working [NEEDINFO]
USB mouse quits working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-09 03:07 EST by joshmeans
Modified: 2009-07-14 13:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:26:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zaitcev: needinfo? (joshmeans)


Attachments (Terms of Use)
log (5.31 KB, text/plain)
2008-11-09 03:10 EST, joshmeans
no flags Details

  None (edit)
Description joshmeans 2008-11-09 03:07:19 EST
Description of problem:
USB mouse quits working after about 30 minutes of use.  Need to reboot for it to work again.


Version-Release number of selected component (if applicable):


How reproducible:
Happens quite a bit with normal use of USB mouse.

Steps to Reproduce:
1. Plug in and use USB mouse for at least 30 minutes.
2.
3.
  
Actual results:  
Looked at /var/log/messages...


Nov  9 00:30:40 localhost kernel: usb 2-2: new low speed USB device using ohci_hcd and address 3
Nov  9 00:30:40 localhost kernel: usb 2-2: configuration #1 chosen from 1 choice
Nov  9 00:30:40 localhost kernel: input: Dell Premium USB Optical Mouse as /devices/pci0000:00/0000:00:13.0/usb2/2-2/2-2:1.0/input/input9
Nov  9 00:30:40 localhost kernel: input,hidraw0: USB HID v11.10 Mouse [Dell Premium USB Optical Mouse] on usb-0000:00:13.0-2
Nov  9 00:30:40 localhost kernel: usb 2-2: New USB device found, idVendor=413c, idProduct=3016
Nov  9 00:30:40 localhost kernel: usb 2-2: New USB device strings: Mfr=0, Product=2, SerialNumber=0
Nov  9 00:30:40 localhost kernel: usb 2-2: Product: Dell Premium USB Optical Mouse
Nov  9 00:34:07 localhost kernel: ACPI Error (evevent-0303): No installed handler for fixed event [00000000] [20070126]
Nov  9 00:46:58 localhost kernel: ath5k phy0: noise floor calibration timeout (2452MHz)
Nov  9 01:18:30 localhost kernel: usb 2-2: USB disconnect, address 3
Nov  9 01:21:12 localhost kernel: INFO: task khubd:144 blocked for more than 120 seconds.
Nov  9 01:21:12 localhost kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Nov  9 01:21:12 localhost kernel: khubd         D c07927d8     0   144      2
Nov  9 01:21:12 localhost kernel:        f78bbeac 00000046 00000000 c07927d8 c0795800 c0795800 c0795800 f7868000 
Nov  9 01:21:12 localhost kernel:        f7868260 c1b0d800 00000000 c1b0d800 e91b6d6c 000006c0 f7978000 f7868260 
Nov  9 01:21:12 localhost kernel:        f78bbea0 f78bbeb4 f78bbe94 00000246 f78bbeac c0438972 00000002 f5ec0200 
Nov  9 01:21:12 localhost kernel: Call Trace:
Nov  9 01:21:12 localhost kernel:  [prepare_to_wait+72/78] ? prepare_to_wait+0x48/0x4e
Nov  9 01:21:12 localhost kernel:  [usb_kill_urb+171/216] usb_kill_urb+0xab/0xd8
Nov  9 01:21:12 localhost kernel:  [autoremove_wake_function+0/51] ? autoremove_wake_function+0x0/0x33
Nov  9 01:21:12 localhost kernel:  [usb_hcd_flush_endpoint+216/234] usb_hcd_flush_endpoint+0xd8/0xea
Nov  9 01:21:12 localhost kernel:  [usb_disable_endpoint+60/73] usb_disable_endpoint+0x3c/0x49
Nov  9 01:21:12 localhost kernel:  [usb_disable_device+35/189] usb_disable_device+0x23/0xbd
Nov  9 01:21:12 localhost kernel:  [usb_disconnect+151/306] usb_disconnect+0x97/0x132
Nov  9 01:21:12 localhost kernel:  [hub_thread+1200/3164] hub_thread+0x4b0/0xc5c
Nov  9 01:21:12 localhost kernel:  [schedule+1705/1755] ? schedule+0x6a9/0x6db
Nov  9 01:21:12 localhost kernel:  [autoremove_wake_function+0/51] ? autoremove_wake_function+0x0/0x33
Nov  9 01:21:12 localhost kernel:  [hub_thread+0/3164] ? hub_thread+0x0/0xc5c
Nov  9 01:21:12 localhost kernel:  [kthread+59/97] kthread+0x3b/0x61
Nov  9 01:21:12 localhost kernel:  [kthread+0/97] ? kthread+0x0/0x61
Nov  9 01:21:12 localhost kernel:  [kernel_thread_helper+7/16] kernel_thread_helper+0x7/0x10
Nov  9 01:21:12 localhost kernel:  =======================
Nov  9 01:24:26 localhost kernel: INFO: task khubd:144 blocked for more than 120 seconds.
Nov  9 01:24:26 localhost kernel: "echo 0 > /proc/sys/kernel/hung_task_timeout_secs" disables this message.
Nov  9 01:24:26 localhost kernel: khubd         D c07927d8     0   144      2
Nov  9 01:24:26 localhost kernel:        f78bbeac 00000046 00000000 c07927d8 c0795800 c0795800 c0795800 f7868000 
Nov  9 01:24:26 localhost kernel:        f7868260 c1b0d800 00000000 c1b0d800 e91b6d6c 000006c0 f7978000 f7868260 
Nov  9 01:24:26 localhost kernel:        f78bbea0 f78bbeb4 f78bbe94 00000246 f78bbeac c0438972 00000002 f5ec0200 
Nov  9 01:24:26 localhost kernel: Call Trace:
Nov  9 01:24:26 localhost kernel:  [prepare_to_wait+72/78] ? prepare_to_wait+0x48/0x4e
Nov  9 01:24:26 localhost kernel:  [usb_kill_urb+171/216] usb_kill_urb+0xab/0xd8
Nov  9 01:24:26 localhost kernel:  [autoremove_wake_function+0/51] ? autoremove_wake_function+0x0/0x33
Nov  9 01:24:26 localhost kernel:  [usb_hcd_flush_endpoint+216/234] usb_hcd_flush_endpoint+0xd8/0xea
Nov  9 01:24:26 localhost kernel:  [usb_disable_endpoint+60/73] usb_disable_endpoint+0x3c/0x49
Nov  9 01:24:26 localhost kernel:  [usb_disable_device+35/189] usb_disable_device+0x23/0xbd
Nov  9 01:24:26 localhost kernel:  [usb_disconnect+151/306] usb_disconnect+0x97/0x132
Nov  9 01:24:26 localhost kernel:  [hub_thread+1200/3164] hub_thread+0x4b0/0xc5c
Nov  9 01:24:26 localhost kernel:  [schedule+1705/1755] ? schedule+0x6a9/0x6db
Nov  9 01:24:26 localhost kernel:  [autoremove_wake_function+0/51] ? autoremove_wake_function+0x0/0x33
Nov  9 01:24:26 localhost kernel:  [hub_thread+0/3164] ? hub_thread+0x0/0xc5c
Nov  9 01:24:26 localhost kernel:  [kthread+59/97] kthread+0x3b/0x61
Nov  9 01:24:26 localhost kernel:  [kthread+0/97] ? kthread+0x0/0x61
Nov  9 01:24:26 localhost kernel:  [kernel_thread_helper+7/16] kernel_thread_helper+0x7/0x10
Nov  9 01:24:26 localhost kernel:  =======================



Expected results:


Additional info:
Comment 1 joshmeans 2008-11-09 03:10:19 EST
Created attachment 322991 [details]
log
Comment 2 Pete Zaitcev 2008-11-09 03:30:59 EST
What is the kernel version?
Comment 3 joshmeans 2008-11-09 11:08:10 EST
2.6.25-14.fc9.i686
Comment 4 Pete Zaitcev 2008-11-20 23:23:55 EST
Can you try this:
 http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os/Packages/kernel-2.6.27.5-117.fc10.i686.rpm
It's ok to force the RPM installation for testing purposes, if it
wants some different packages. Just make sure the old kernel is kept,
don't use -U.

The main problem is that the mouse disconnects itself (software cannot
disconnect, but it can precipitate it by crashing the firmware in the
mouse). It's just a bad mouse. HOWEVER, we must NOT hang with the
unlink hanging. We should reinitialize the rodent and move on.
There were some small fixes from 2.6.25 to 2.6.27 in this regard.

I'm not optimistic about a frontal attack on this. Hanging unlinks
are the worst. It will take a long time to find, even if reproduced
at 2.6.27. But let's at leat try.
Comment 5 Pete Zaitcev 2009-01-16 16:39:44 EST
poke poke (needinfo-ing)
Comment 6 Bug Zapper 2009-06-09 23:12:57 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-07-14 13:26:39 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.